# WestUnCommCode
Perform various operations for Symitar parameters.


**Symitar eDocs References:** Coming soon.

## Operations

### getWestUnCommCode

POST `/nexum/{sym}/2022.01/parameter/getWestUnCommCode`

Retrieve WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-westuncommcode.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| WestUnCommCodeSelection | integer | Yes |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WestUnCommCodeSelection": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| WestUnCommCode | object | No |  |

```json
{
  "WestUnCommCode": {
    "RecordChangeDate": "2026-01-01"
  },
  "MessageId": "string"
}
```

### getWestUnCommCodeSelectFields

POST `/nexum/{sym}/2022.01/parameter/getWestUnCommCodeSelectFields`

Retrieve WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-westuncommcode.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| WestUnCommCodeSelection | integer | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllWestUnCommCodeFields": true
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| WestUnCommCode | object | No |  |

```json
{
  "WestUnCommCode": {
    "RecordChangeDate": "2026-01-01"
  },
  "MessageId": "string"
}
```

### getWestUnCommCodePagedList

POST `/nexum/{sym}/2022.01/parameter/getWestUnCommCodePagedList`

Retrieve WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-westuncommcode.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| PagingRequestContext | object | Yes |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| WestUnCommCode | object[] | No |  |
| Token | string | No |  |

```json
{
  "WestUnCommCode": [],
  "Token": null,
  "MessageId": "string"
}
```

### getWestUnCommCodeListSelectFields

POST `/nexum/{sym}/2022.01/parameter/getWestUnCommCodeListSelectFields`

Retrieve WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-westuncommcode.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| SelectableFields | object | Yes |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllWestUnCommCodeFields": true
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| WestUnCommCodeList | object | No |  |

```json
{
  "WestUnCommCodeList": [],
  "MessageId": "string"
}
```

### searchWestUnCommCodeSelectFields

POST `/nexum/{sym}/2022.01/parameter/searchWestUnCommCodeSelectFields`

Search WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-westuncommcode.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| SelectableFields | object | No |  |
| SearchFilter | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllWestUnCommCodeFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| WestUnCommCodeList | object | No |  |

```json
{
  "WestUnCommCodeList": [],
  "MessageId": "string"
}
```

### getWestUnCommCodePagedListSelectFields

POST `/nexum/{sym}/2022.01/parameter/getWestUnCommCodePagedListSelectFields`

Retrieve WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-westuncommcode.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllWestUnCommCodeFields": true
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| WestUnCommCode | object[] | No |  |
| Token | string | No |  |

```json
{
  "WestUnCommCode": [],
  "Token": null,
  "MessageId": "string"
}
```

### searchWestUnCommCodePagedSelectFields

POST `/nexum/{sym}/2022.01/parameter/searchWestUnCommCodePagedSelectFields`

Search WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-westuncommcode.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| Query | string | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "string",
  "SelectableFields": {
    "IncludeAllWestUnCommCodeFields": true
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| WestUnCommCode | object[] | No |  |
| Token | string | No |  |

```json
{
  "WestUnCommCode": [],
  "Token": null,
  "MessageId": "string"
}
```

### updateWestUnCommCodeByID

POST `/nexum/{sym}/2022.01/parameter/updateWestUnCommCodeByID`

Update WestUnCommCode parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-westuncommcode.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| WestUnCommCodeSelection | integer | No |  |
| WestUnCommCodeUpdatableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WestUnCommCodeSelection": 0,
  "WestUnCommCodeUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| UpdateStatus | object | No |  |

```json
{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "string"
}
```
